View Issue Details

IDProjectCategoryView StatusLast Update
0003960Far Manager_Commonpublic2022-09-26 19:05
ReporterPaperbackWriter Assigned Tosdindikov  
PrioritynormalSeverityminorReproducibilityunable to reproduce
Status feedbackResolutionreopened 
Platformx64OSWindows 
Product Version3.0 
Summary0003960: Far Вывалился, создав bug_report.txt
DescriptionВывалился, создал файл bug_report.txt, прикрепляю.
Файлы far.mdmp и far_full.mdmp создались пустыми.
Steps To ReproduceВоспроизвести ситуацию не смогу.
Tagsbug_report.txt
Buildany

Activities

PaperbackWriter

2022-09-06 20:11

reporter  

bug_report.txt (31,908 bytes)   
��Exception: 0xE06D7363 - C++ exception (class far_exception)

Details:   Read error

errno:     0x00000000 - No error

LastError: 0x00000015 - #AB@>9AB2> =5 3>B>2>.

NTSTATUS:  0xC000026E - >?KB:0 >?5@0F88 A B><>< ?>A;5 53> A=OB8O.

Address:   00034F69 - KERNELBASE.dll!<unknown> (get the pdb)

Function:  underflow

Source:    platform.fs.cpp(1258)

File:      H:\Program Files\Far30b5959.x64\Far.exe

Plugin:    

Far:       3.0.5959.0 x64 (650f970)

OS:        10.0.19044.2.0.0.256.1 (version 21H2, OS build 19044.1645)

Kernel:    10.0.19041.1645 (WinBuild.160101.0800)



----------------------------------------------------------------------

Registers

----------------------------------------------------------------------

RAX = 00000067F4F80033

RBX = 00000067F4F8AEE0

RCX = 0000000000000206

RDX = 00000067F4F8AF60

RSI = 00000067F4F8B730

RDI = 00000067F4F8A320

R8  = 00000067F4F8C670

R9  = 00000067F4F8C340

R10 = 0000000000000000

R11 = 0000000000000000

R12 = 0000000000000000

R13 = 00000067F4F89608

R14 = 00000067F4F8A320

R15 = 00000067F4F8A488

RIP = 00007FFDFC8B4F69

RSP = 00000067F4F894A0

RBP = 00000067F4F89B80

EFL = 00000202



----------------------------------------------------------------------

Exception stack

----------------------------------------------------------------------

00034F69 KERNELBASE.dll!<unknown> (get the pdb)

003E1860 Far.exe!<unknown> (get the pdb)

000A1456 ntdll.dll!<unknown> (get the pdb)

002374DA Far.exe!<unknown> (get the pdb)

00236444 Far.exe!<unknown> (get the pdb)

0023676C Far.exe!<unknown> (get the pdb)

00237A15 Far.exe!<unknown> (get the pdb)

0023684E Far.exe!<unknown> (get the pdb)

00191EF4 Far.exe!<unknown> (get the pdb)

002ABE14 Far.exe!<unknown> (get the pdb)

002AB7E7 Far.exe!<unknown> (get the pdb)

0027627D Far.exe!<unknown> (get the pdb)

002758DC Far.exe!<unknown> (get the pdb)

0027556E Far.exe!<unknown> (get the pdb)

002801A1 Far.exe!<unknown> (get the pdb)

00231D78 Far.exe!<unknown> (get the pdb)

002DA102 Far.exe!<unknown> (get the pdb)

002D9AF1 Far.exe!<unknown> (get the pdb)

002D98F6 Far.exe!<unknown> (get the pdb)

002D20B7 Far.exe!<unknown> (get the pdb)

002D68B9 Far.exe!<unknown> (get the pdb)

001CF021 Far.exe!<unknown> (get the pdb)

002D5B82 Far.exe!<unknown> (get the pdb)

002D56BA Far.exe!<unknown> (get the pdb)

002D5EA8 Far.exe!<unknown> (get the pdb)

002D6942 Far.exe!<unknown> (get the pdb)

001CF021 Far.exe!<unknown> (get the pdb)

002D5FD2 Far.exe!<unknown> (get the pdb)

002D5DF2 Far.exe!<unknown> (get the pdb)

002D697E Far.exe!<unknown> (get the pdb)

001CF05D Far.exe!<unknown> (get the pdb)

002D60DE Far.exe!<unknown> (get the pdb)

003D8DD0 Far.exe!<unknown> (get the pdb)

00017034 KERNEL32.DLL!<unknown> (get the pdb)

00052651 ntdll.dll!<unknown> (get the pdb)



----------------------------------------------------------------------

Exception handler stack

----------------------------------------------------------------------

001C7F64 Far.exe!<unknown> (get the pdb)

001CA3B9 Far.exe!<unknown> (get the pdb)

001CC0E4 Far.exe!<unknown> (get the pdb)

001CD579 Far.exe!<unknown> (get the pdb)

001CE25F Far.exe!<unknown> (get the pdb)

001CE34E Far.exe!<unknown> (get the pdb)

002D6790 Far.exe!<unknown> (get the pdb)

002D4130 Far.exe!<unknown> (get the pdb)

002D5AE0 Far.exe!<unknown> (get the pdb)

002D67AF Far.exe!<unknown> (get the pdb)

002D5BB0 Far.exe!<unknown> (get the pdb)

002D6D79 Far.exe!<unknown> (get the pdb)

002D67CA Far.exe!<unknown> (get the pdb)

002D67DF Far.exe!<unknown> (get the pdb)

0042E18B Far.exe!<unknown> (get the pdb)

003EA550 Far.exe!<unknown> (get the pdb)

003E17C5 Far.exe!<unknown> (get the pdb)

000A1456 ntdll.dll!<unknown> (get the pdb)

001CF021 Far.exe!<unknown> (get the pdb)

002D5B82 Far.exe!<unknown> (get the pdb)

002D56BA Far.exe!<unknown> (get the pdb)

002D5EA8 Far.exe!<unknown> (get the pdb)

002D6942 Far.exe!<unknown> (get the pdb)

001CF021 Far.exe!<unknown> (get the pdb)

002D5FD2 Far.exe!<unknown> (get the pdb)

002D5DF2 Far.exe!<unknown> (get the pdb)

002D697E Far.exe!<unknown> (get the pdb)

001CF05D Far.exe!<unknown> (get the pdb)

002D60DE Far.exe!<unknown> (get the pdb)

003D8DD0 Far.exe!<unknown> (get the pdb)

00017034 KERNEL32.DLL!<unknown> (get the pdb)

00052651 ntdll.dll!<unknown> (get the pdb)



----------------------------------------------------------------------

Thread 13640 stack

----------------------------------------------------------------------

000A07C4 ntdll.dll!<unknown> (get the pdb)

00052DC7 ntdll.dll!<unknown> (get the pdb)

00017034 KERNEL32.DLL!<unknown> (get the pdb)

00052651 ntdll.dll!<unknown> (get the pdb)



----------------------------------------------------------------------

Thread 17324 stack

----------------------------------------------------------------------

000A07C4 ntdll.dll!<unknown> (get the pdb)

00052DC7 ntdll.dll!<unknown> (get the pdb)

00017034 KERNEL32.DLL!<unknown> (get the pdb)

00052651 ntdll.dll!<unknown> (get the pdb)



----------------------------------------------------------------------

Thread 17432 stack

----------------------------------------------------------------------

000A07C4 ntdll.dll!<unknown> (get the pdb)

00052DC7 ntdll.dll!<unknown> (get the pdb)

00017034 KERNEL32.DLL!<unknown> (get the pdb)

00052651 ntdll.dll!<unknown> (get the pdb)



----------------------------------------------------------------------

Thread 17892 (Window messages processor) stack

----------------------------------------------------------------------

00001104 win32u.dll!<unknown> (get the pdb)

00021B3E USER32.dll!<unknown> (get the pdb)

003D6FD2 Far.exe!<unknown> (get the pdb)

003D74AB Far.exe!<unknown> (get the pdb)

003EA628 Far.exe!<unknown> (get the pdb)

00017034 KERNEL32.DLL!<unknown> (get the pdb)

00052651 ntdll.dll!<unknown> (get the pdb)



----------------------------------------------------------------------

Thread 17832 stack

----------------------------------------------------------------------

000A07C4 ntdll.dll!<unknown> (get the pdb)

00052DC7 ntdll.dll!<unknown> (get the pdb)

00017034 KERNEL32.DLL!<unknown> (get the pdb)

00052651 ntdll.dll!<unknown> (get the pdb)



----------------------------------------------------------------------

Thread 5312 stack

----------------------------------------------------------------------

000A07C4 ntdll.dll!<unknown> (get the pdb)

00052DC7 ntdll.dll!<unknown> (get the pdb)

00017034 KERNEL32.DLL!<unknown> (get the pdb)

00052651 ntdll.dll!<unknown> (get the pdb)



----------------------------------------------------------------------

Thread 18488 (FS watcher) stack

----------------------------------------------------------------------

0009CDF4 ntdll.dll!<unknown> (get the pdb)

00021A5E KERNELBASE.dll!<unknown> (get the pdb)

002F9857 Far.exe!<unknown> (get the pdb)

00237FEB Far.exe!<unknown> (get the pdb)

00239FE4 Far.exe!<unknown> (get the pdb)

003EA628 Far.exe!<unknown> (get the pdb)

00017034 KERNEL32.DLL!<unknown> (get the pdb)

00052651 ntdll.dll!<unknown> (get the pdb)



----------------------------------------------------------------------

Thread 7952 (Taskbar processor) stack

----------------------------------------------------------------------

0009D8C4 ntdll.dll!<unknown> (get the pdb)

0004CB10 KERNELBASE.dll!<unknown> (get the pdb)

0004CA0E KERNELBASE.dll!<unknown> (get the pdb)

002F9A20 Far.exe!<unknown> (get the pdb)

0039E962 Far.exe!<unknown> (get the pdb)

00239FE4 Far.exe!<unknown> (get the pdb)

003EA628 Far.exe!<unknown> (get the pdb)

00017034 KERNEL32.DLL!<unknown> (get the pdb)

00052651 ntdll.dll!<unknown> (get the pdb)



----------------------------------------------------------------------

Thread 13648 stack

----------------------------------------------------------------------

0009D8C4 ntdll.dll!<unknown> (get the pdb)

0004CB10 KERNELBASE.dll!<unknown> (get the pdb)

000CAD66 combase.dll!<unknown> (get the pdb)

000CABE0 combase.dll!<unknown> (get the pdb)

000CA9F0 combase.dll!<unknown> (get the pdb)

000CA979 combase.dll!<unknown> (get the pdb)

00017034 KERNEL32.DLL!<unknown> (get the pdb)

00052651 ntdll.dll!<unknown> (get the pdb)



----------------------------------------------------------------------

Thread 13560 stack

----------------------------------------------------------------------

00001104 win32u.dll!<unknown> (get the pdb)

00021B3E USER32.dll!<unknown> (get the pdb)

00098E28 combase.dll!<unknown> (get the pdb)

00098D60 combase.dll!<unknown> (get the pdb)

000CA9F0 combase.dll!<unknown> (get the pdb)

000CA979 combase.dll!<unknown> (get the pdb)

00017034 KERNEL32.DLL!<unknown> (get the pdb)

00052651 ntdll.dll!<unknown> (get the pdb)



----------------------------------------------------------------------

Thread 14524 stack

----------------------------------------------------------------------

0000A104 win32u.dll!<unknown> (get the pdb)

0002078E USER32.dll!<unknown> (get the pdb)

00009050 gdiplus.dll!<unknown> (get the pdb)

00008FAF gdiplus.dll!<unknown> (get the pdb)

00017034 KERNEL32.DLL!<unknown> (get the pdb)

00052651 ntdll.dll!<unknown> (get the pdb)



----------------------------------------------------------------------

 Modules

----------------------------------------------------------------------

H:\Program Files\Far30b5959.x64\Far.exe 3.0.5959.0 x64

C:\WINDOWS\SYSTEM32\ntdll.dll 10.0.19041.1566 (WinBuild.160101.0800)

C:\WINDOWS\System32\KERNEL32.DLL 10.0.19041.1566 (WinBuild.160101.0800)

C:\WINDOWS\System32\KERNELBASE.dll 10.0.19041.1566 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\apphelp.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\System32\ADVAPI32.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\System32\msvcrt.dll 7.0.19041.546 (WinBuild.160101.0800)

C:\WINDOWS\System32\sechost.dll 10.0.19041.320 (WinBuild.160101.0800)

C:\WINDOWS\System32\RPCRT4.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\System32\USER32.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\System32\win32u.dll 10.0.19041.1645 (WinBuild.160101.0800)

C:\WINDOWS\System32\GDI32.dll 10.0.19041.1620 (WinBuild.160101.0800)

C:\WINDOWS\System32\gdi32full.dll 10.0.19041.1620 (WinBuild.160101.0800)

C:\WINDOWS\System32\msvcp_win.dll 10.0.19041.789 (WinBuild.160101.0800)

C:\WINDOWS\System32\ucrtbase.dll 10.0.19041.789 (WinBuild.160101.0800)

C:\WINDOWS\System32\SHELL32.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\System32\ole32.dll 10.0.19041.1320 (WinBuild.160101.0800)

C:\WINDOWS\System32\combase.dll 10.0.19041.1320 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\NETAPI32.dll 10.0.19041.1645 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\WINSPOOL.DRV 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\System32\PSAPI.DLL 10.0.19041.546 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\MPR.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\System32\SETUPAPI.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\System32\cfgmgr32.dll 10.0.19041.1620 (WinBuild.160101.0800)

C:\WINDOWS\System32\bcrypt.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\Secur32.dll 10.0.19041.546 (WinBuild.160101.0800)

C:\WINDOWS\System32\COMDLG32.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\System32\shcore.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\VERSION.dll 10.0.19041.546 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\USERENV.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\System32\SHLWAPI.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\WinSxS\amd64_microsoft.windows.common-controls_6595b64144ccf1df_6.0.19041.1110_none_60b5254171f9507e\COMCTL32.dll 6.10 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\NETUTILS.DLL 10.0.19041.546 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\SRVCLI.DLL 10.0.19041.1645 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\SAMCLI.DLL 10.0.19041.1466 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\SSPICLI.DLL 10.0.19041.1586 (WinBuild.160101.0800)

C:\WINDOWS\System32\IMM32.DLL 10.0.19041.546 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\kernel.appcore.dll 10.0.19041.546 (WinBuild.160101.0800)

C:\WINDOWS\system32\uxtheme.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\System32\MSCTF.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\System32\OLEAUT32.dll 10.0.19041.985 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\powrprof.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\UMPDC.dll Unknown

C:\WINDOWS\System32\bcryptPrimitives.dll 10.0.19041.1415 (WinBuild.160101.0800)

C:\WINDOWS\System32\clbcatq.dll 2001.12.10941.16384 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\ntmarta.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\system32\explorerframe.dll 10.0.19041.1165 (WinBuild.160101.0800)

H:\Program Files\Far30b5959.x64\Plugins\Align\Align.dll 3.0.29.0

C:\Windows\System32\OneCoreUAPCommonProxyStub.dll 10.0.19041.1620 (WinBuild.160101.0800)

H:\Program Files\Far30b5959.x64\Plugins\ArcLite\arclite.dll 3.0.324.0

H:\Program Files\Far30b5959.x64\Plugins\AutoWrap\AutoWrap.dll 3.0.27.0

H:\Program Files\Far30b5959.x64\Plugins\Brackets\Brackets.dll 3.0.35.0

H:\Program Files\Far30b5959.x64\Plugins\Compare\Compare.dll 3.0.57.0

H:\Program Files\Far30b5959.x64\Plugins\DrawLine\DrawLine.dll 3.0.27.0

H:\Program Files\Far30b5959.x64\Plugins\EditCase\EditCase.dll 3.0.26.0

H:\Program Files\Far30b5959.x64\Plugins\EMenu\EMenu.dll 3.0.67.0

H:\Program Files\Far30b5959.x64\Plugins\FarCmds\FarCmds.dll 3.0.129.0

H:\Program Files\Far30b5959.x64\Plugins\FileCase\FileCase.dll 3.0.37.0

H:\Program Files\Far30b5959.x64\Plugins\HlfViewer\HlfViewer.dll 3.0.49.0

H:\Program Files\Far30b5959.x64\Plugins\LuaMacro\LuaMacro.dll 3.0.768.0

H:\Program Files\Far30b5959.x64\lua51.dll Unknown

H:\Program Files\Far30b5959.x64\luafar3.dll 3.0.768.0

C:\WINDOWS\SYSTEM32\CRYPTBASE.DLL 10.0.19041.546 (WinBuild.160101.0800)

H:\Program Files\Far30b5959.x64\lpeg.dll Unknown

H:\Program Files\Far30b5959.x64\Plugins\MultiArc\MultiArc.dll 1.75 build 200

H:\Program Files\Far30b5959.x64\Plugins\MultiArc\Formats\Ace.fmt 1.17

H:\Program Files\Far30b5959.x64\Plugins\MultiArc\Formats\Arc.fmt 1.32

H:\Program Files\Far30b5959.x64\Plugins\MultiArc\Formats\Arj.fmt 1.21

H:\Program Files\Far30b5959.x64\Plugins\MultiArc\Formats\Cab.fmt 1.21

H:\Program Files\Far30b5959.x64\Plugins\MultiArc\Formats\Custom.fmt 1.24

H:\Program Files\Far30b5959.x64\Plugins\MultiArc\Formats\Ha.fmt 1.17

H:\Program Files\Far30b5959.x64\Plugins\MultiArc\Formats\Lzh.fmt 1.28

H:\Program Files\Far30b5959.x64\Plugins\MultiArc\Formats\Rar.fmt 1.30

H:\Program Files\Far30b5959.x64\Plugins\MultiArc\Formats\TarGz.fmt 1.33

H:\Program Files\Far30b5959.x64\Plugins\MultiArc\Formats\Zip.fmt 1.33

H:\Program Files\Far30b5959.x64\Plugins\NetBox\NetBox.dll 2.4.5.544

C:\WINDOWS\SYSTEM32\windows.storage.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\Wldp.dll 10.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\system32\propsys.dll 7.0.19041.1165 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\CRYPTSP.dll 10.0.19041.546 (WinBuild.160101.0800)

C:\WINDOWS\system32\rsaenh.dll 10.0.19041.320 (WinBuild.160101.0800)

C:\WINDOWS\System32\ws2_32.dll 10.0.19041.1081 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\security.dll 10.0.19041.1 (WinBuild.160101.0800)

H:\Program Files\Far30b5959.x64\Plugins\Review\Review.dll 1.20

C:\WINDOWS\SYSTEM32\msimg32.dll 10.0.19041.1466 (WinBuild.160101.0800)

C:\WINDOWS\WinSxS\amd64_microsoft.windows.gdiplus_6595b64144ccf1df_1.1.19041.1645_none_91a2a668cc89980b\gdiplus.dll 10.0.19041.1645 (WinBuild.160101.0800)

H:\Program Files\Far30b5959.x64\Plugins\SameFolder\SameFolder.dll 3.0.1.0

H:\Program Files\Far30b5959.x64\Plugins\TmpPanel\TmpPanel.dll 3.0.111.0

H:\Program Files\Far30b5959.x64\Plugins\TorrentViewA\Torrent.x64.dll 1, 0, 0, 29

C:\WINDOWS\SYSTEM32\dbghelp.DLL 10.0.19041.867 (WinBuild.160101.0800)

C:\WINDOWS\SYSTEM32\dbgcore.DLL 10.0.19041.789 (WinBuild.160101.0800)

bug_report.txt (31,908 bytes)   

sdindikov

2022-09-19 07:41

developer   bugnote:0017353

Случайно FAR в этот момент не запускался с внешнего носителя который был отсоединён в момент падения?

чего то строки на это намекают:
LastError: 0x00000015 - Устройство не готово.
NTSTATUS: 0xC000026E - Попытка операции с томом после его снятия.
File: H:\Program Files\Far30b5959.x64\Far.exe

sdindikov

2022-09-21 15:28

developer   bugnote:0017354

Last edited: 2022-09-21 15:44

View 3 revisions

OS при запуске (загрузке) EXE/DLL использует технологию загрузки проецируемых в память файлов (Memory Mapped Files).

"Как и виртуальная память, проецируемые файлы позволяют резервировать регион адресного пространства и передавать ему физическую память. Различие между этими механизмами состоит в том, что в последнем случае физическая память не выделяется из страничного файла, а берется из файла, уже находящегося на диске. Как только файл спроецирован в память, к нему можно обращаться так, будто он цели ком в нее загружен."

Поэтому жизненно необходимо отсутствие физических проблем (отсоединение или разрушение) с носителем (томом) с которого был запущен процесс.

Если это произошло то дальнейшая работа процесса без сбоев не гарантируется (считай - крах неминуем) .

sdindikov

2022-09-21 15:30

developer   bugnote:0017355

Last edited: 2022-09-21 15:45

View 2 revisions

Особенность работы OS Windows с запускаемыми процессами (PE формат)

PaperbackWriter

2022-09-26 19:05

reporter   bugnote:0017356

Last edited: 2022-09-26 19:05

View 3 revisions

>>Случайно FAR в этот момент не запускался с внешнего носителя который был отсоединён в момент падения?
Точно не подскажу, возможно Вы правы.

Issue History

Date Modified Username Field Change
2022-09-06 20:11 PaperbackWriter New Issue
2022-09-06 20:11 PaperbackWriter Tag Attached: bug_report.txt
2022-09-06 20:11 PaperbackWriter File Added: bug_report.txt
2022-09-19 07:41 sdindikov Note Added: 0017353
2022-09-21 15:28 sdindikov Note Added: 0017354
2022-09-21 15:30 sdindikov Assigned To => sdindikov
2022-09-21 15:30 sdindikov Status new => closed
2022-09-21 15:30 sdindikov Resolution open => won't fix
2022-09-21 15:30 sdindikov Build => any
2022-09-21 15:30 sdindikov Note Added: 0017355
2022-09-21 15:39 sdindikov Note Edited: 0017354 View Revisions
2022-09-21 15:44 sdindikov Note Edited: 0017354 View Revisions
2022-09-21 15:45 sdindikov Note Edited: 0017355 View Revisions
2022-09-26 19:05 PaperbackWriter Status closed => feedback
2022-09-26 19:05 PaperbackWriter Resolution won't fix => reopened
2022-09-26 19:05 PaperbackWriter Note Added: 0017356
2022-09-26 19:05 PaperbackWriter Note Edited: 0017356 View Revisions
2022-09-26 19:05 PaperbackWriter Note Edited: 0017356 View Revisions